
Name: libopensync-plugin-gnokii
Version: 0.36
Release: alt1

Summary: Gnokii plugin for OpenSync
License: %lgpl2plus
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %name-%version.tar.bz2

Requires: libgnokii 
Requires: libopensync = %version

BuildRequires: cmake gcc-c++ glib2-devel libbluez-devel libgnokii-devel
BuildRequires: libusb-devel libxml2-devel libXpm-devel pkg-config zlib-devel rpm-build-licenses
BuildRequires: libopensync-devel = %version

%description
This a _experimental_ OpenSync plugin for Nokia cellphones. Don't use it
without a whole backup of your phonebook, todo list and calendar! This
plugin is based on gnokii which can be found on http://gnokii.org
It is recommended to use the latest version of gnokii.
	
%prep
%setup -q

%build
mkdir build
cd build
cmake -D CMAKE_INSTALL_PREFIX:PATH=%_prefix \
	-D OPENSYNC_LIBEXEC_DIR=%_libexecdir/opensync-1.0 \
%if %{_lib} == lib64
	-D LIB_SUFFIX=64 \
%endif
    -D CMAKE_SKIP_RPATH:BOOL=TRUE ../

%make_build

%install
pushd build
%make_install install DESTDIR=%buildroot
popd

%files
%doc AUTHORS ChangeLog COPYING README
%_libdir/opensync-1.0/plugins/gnokii-sync.so
%_libdir/opensync-1.0/formats/gnokii*
%_datadir/opensync-1.0/defaults/gnokii-sync

%changelog
* Tue Jan 29 2008 Alexey Shabalin <shaba@altlinux.ru> 0.36-alt1
- 0.36 release for developers

* Mon Jan 21 2008 Alexey Shabalin <shaba@altlinux.ru> 0.35-alt1
- 0.35 release for developers

* Fri Aug 24 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1.1
- rebuild with new gnokii-0.6.18
- fix build with new gnokii (patch0)

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec(drop cvs)

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921
- Initial package
